Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid
Interface GridCoverageExchange

Deprecated. In favor of migrating to ISO 19123 definition for Coverage.

    @UML(identifier="CV_GridCoverageExchange",
         specification=OGC_01004)
    public interface GridCoverageExchange

Support for creation of grid coverages from persistent formats as well as exporting a grid coverage to a persistent formats. For example, it allows for creation of grid coverages from the GeoTIFF Well-known binary format and exporting to the GeoTIFF file format. Basic implementations only require creation of grid coverages from a file format or resource. More sophesticated implementations may extract the grid coverages from a database. In such case, a `GridCoverageExchange` instance will hold a connection to a specific database and the `dispose()` method will need to be invoked in order to close this connection.

WARNING: THIS CLASS WILL CHANGE. Current API is derived from OGC Grid Coverages Implementation specification 1.0. We plan to replace it by new interfaces derived from ISO 19123 (Schema for coverage geometry and functions). Current interfaces should be considered as legacy and are included in this distribution only because they were part of GeoAPI 1.0 release. We will try to preserve as much compatibility as possible, but no migration plan has been determined yet.

Since:
  GeoAPI 2.0
See Also:
  `GridCoverageReader`, `GridCoverageWriter`

Method Summary
`void` | `dispose()` Deprecated. Allows any resources held by this object to be released.
`Format[]` | `getFormats()` Deprecated. Retrieve information on file formats or resources available with the `GridCoverageExchange` implementation.
`GridCoverageReader` | `getReader(Object source)` Deprecated. Returns a grid coverage reader that can manage the specified source
`GridCoverageWriter` | `getWriter(Object destination, Format format)` Deprecated. Returns a GridCoverageWriter that can write the specified format.

Method Detail

### getFormats

    @UML(identifier="getFormat",
         obligation=MANDATORY,
         specification=OGC_01004)
    Format[] getFormats()

  Deprecated.
  Retrieve information on file formats or resources available with the `GridCoverageExchange` implementation.

  Returns:
    Information on file formats or resources available with the `GridCoverageExchange` implementation.

### getReader

    GridCoverageReader getReader(Object source)
                                 throws IOException

  Deprecated.
  Returns a grid coverage reader that can manage the specified source

  Parameters:
    `source` - An object that specifies somehow the data source. Can be a `String`, an `InputStream`, a `FileChannel`, whatever. It's up to the associated grid coverage reader to make meaningful use of it.
  Returns:
    The grid coverage reader.
  Throws:
    `IOException` - if the format is not recognized, or if an error occurs during reading.

### getWriter

    GridCoverageWriter getWriter(Object destination,
                                 Format format)
                                 throws IOException

  Deprecated.
  Returns a GridCoverageWriter that can write the specified format. The file format name is determined from the `Format` interface. Sample file formats include:

  > "GeoTIFF" | - GeoTIFF
  > "PIX" | - PCI Geomatics PIX
  > "HDF-EOS" | - NASA HDF-EOS
  > "NITF" | - National Image Transfer Format
  > "STDS-DEM" | - Standard Transfer Data Standard

  Parameters:
    `destination` - An object that specifies somehow the data destination. Can be a `String`, an `OutputStream`, a `FileChannel`, whatever. It's up to the associated grid coverage writer to make meaningful use of it.
    `format` - the output format.
  Returns:
    The grid coverage writer.
  Throws:
    `IOException` - if an error occurs during reading.

### dispose

    void dispose()
                 throws IOException

  Deprecated.
  Allows any resources held by this object to be released. The result of calling any other method subsequent to a call to this method is undefined. Applications should call this method when they know they will no longer be using this `GridCoverageExchange`, especially if it was holding a connection to a database.

  Throws:
    `IOException` - if an error occured while disposing resources (for example closing a database connection).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.